# WoopsiUI::WindowBorderSide Class Reference

`#include <windowborderside.h>`

Inheritance diagram for WoopsiUI::WindowBorderSide:

List of all members.

## Public Member Functions
| WindowBorderSide (s16 x, s16 y, u16 width, u16 height)
virtual void | draw (Rect clipRect)
virtual bool | focus ()
virtual bool | blur ()
## Protected Member Functions
virtual | ~WindowBorderSide ()
| WindowBorderSide (const WindowBorderSide &windowBorderSide)

## Detailed Description

Class providing a gadget that mimics the appearance of the AmigaOS 3.x window side border. Forms part of the AmigaWindow gadget.

## Constructor & Destructor Documentation

WoopsiUI::WindowBorderSide::WindowBorderSide | ( | s16 | x,
|  | s16 | y,
|  | u16 | width,
|  | u16 | height |
| ) |  |  |

Constructor.

Parameters:

  | x | The x co-ordinate of the gadget.
  | y | The y co-ordinate of the gadget.
  | width | The width of the gadget.
  | height | The height of the gadget.

virtual WoopsiUI::WindowBorderSide::~WindowBorderSide | ( |  | ) | `[inline, protected, virtual]`

Destructor.

WoopsiUI::WindowBorderSide::WindowBorderSide | ( | const WindowBorderSide & | windowBorderSide | ) | `[inline, protected]`

Copy constructor is protected to prevent usage.

## Member Function Documentation

virtual bool WoopsiUI::WindowBorderSide::blur | ( |  | ) | `[virtual]`

Remove focus from the gadget.

Returns:
  True if the gadget lost focus correctly.

Reimplemented from WoopsiUI::Gadget.

virtual void WoopsiUI::WindowBorderSide::draw | ( | Rect | clipRect | ) | `[virtual]`

Draw the area of this gadget that falls within the clipping region. Called by the draw() function to draw all visible regions.

Parameters:

  | clipRect | The clipping region to draw.

See also:
  draw()

Reimplemented from WoopsiUI::Gadget.

virtual bool WoopsiUI::WindowBorderSide::focus | ( |  | ) | `[virtual]`

Give the gadget focus.

Returns:
  True if the gadget received focus correctly.

Reimplemented from WoopsiUI::Gadget.

The documentation for this class was generated from the following file:

- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.40/Woopsi/libwoopsi/include/windowborderside.h